    // Copyright  2004-2007. Adobe Systems Incorporated. All Rights Reserved.

	// version info for fl.video classes
	// this file is included by several classes in that package so that
	// this static is a member of each of those classes.
	
   /**
	* State variable indicating the long version number of the component.  
	* The version number is useful when you have a FLA file and need to know the component version.
	* To determine the component version, type the following code trace into the FLA file:
	* 
	* <listing>FLVPlayback.VERSION</listing>
	* 
	* <p>The <code>VERSION</code> variable includes 
	* the major and minor version numbers as well as the revision and build numbers, 
	* for example, 2.0.0.11. The <code>SHORT_VERSION</code> variable includes only the major 
	* and minor version numbers, for example, 2.0. </p>
	* 
    * @see #SHORT_VERSION SHORT_VERSION variable
    *
    * @langversion 3.0
    * @playerversion Flash 9.0.28.0
 	*/ 
	public static const VERSION:String = "2.0.0.37";
	
	/**
	* State variable indicating the short version number of the component.  
	* The version number is useful when you have a FLA file and need to know the component version.
	* To determine the component version, type the following code trace into the FLA file:
	* 
	* <listing>FLVPlayback.SHORT_VERSION</listing>
	* 
	* <p>The <code>SHORT_VERSION</code> variable includes only the major 
	* and minor version numbers, for example, 2.0. The <code>VERSION</code> variable includes 
	* the major and minor version numbers as well as the revision and build numbers, 
	* for example, 2.0.0.11.</p>
	* 
    * @see #VERSION VERSION variable
    *
    * @langversion 3.0
    * @playerversion Flash 9.0.28.0
	*/
	public static const SHORT_VERSION:String = "2.0";
